# Class SimpleDateFormat

java.lang.Object
java.text.Format
java.text.DateFormat
java.text.SimpleDateFormat

All Implemented Interfaces:
  `Cloneable`

public class SimpleDateFormat extends DateFormat
Deprecated.
this class has many issues in iOS and other platforms, please use the L10NManager
A class for parsing and formatting dates with a given pattern, compatible with the Java 6 API.

See Also:
  - http://docs.oracle.com/javase/6/docs/api/java/text/DateFormat.html

- ## Field Summary

  ### Fields inherited from class DateFormat

  `DEFAULT, FULL, LONG, MEDIUM, SHORT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleDateFormat()`
  Deprecated.
  Construct a SimpleDateFormat with no pattern.
  `SimpleDateFormat(String pattern)`
  Deprecated.
  Construct a SimpleDateFormat with a given pattern.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyPattern(String pattern)`
  Deprecated.
  Apply a new pattern.
  `Object`
  `clone()`
  Deprecated.
  `String`
  `format(Date source)`
  Deprecated.
  Format a given date.
  `DateFormatSymbols`
  `getDateFormatSymbols()`
  Deprecated.
  Get the date format symbols for parsing/formatting textual components of dates in a localization sensitive way.
  `Date`
  `parse(String source)`
  Deprecated.
  NOT IMPLEMENTED - use SimpleDateFormat for parsing instead.
  `void`
  `setDateFormatSymbols(DateFormatSymbols newSymbols)`
  Deprecated.
  Apply new date format symbols for parsing/formatting textual components of dates in a localisation sensitive way.
  `String`
  `toPattern()`
  Deprecated.

  ### Methods inherited from class DateFormat

  `equals, format, getDateInstance, getDateInstance, getDateTimeInstance, getInstance, getTimeInstance, getTimeInstance, hashCode, parseObject`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleDateFormat

    public SimpleDateFormat()
    Deprecated.
    Construct a SimpleDateFormat with no pattern.

  - ### SimpleDateFormat

    public SimpleDateFormat(String pattern)
    Deprecated.
    Construct a SimpleDateFormat with a given pattern.
    Parameters:
      `pattern` -

- ## Method Details

  - ### toPattern

    public String toPattern()
    Deprecated.
    Returns:
      the pattern

  - ### getDateFormatSymbols

    public DateFormatSymbols getDateFormatSymbols()
    Deprecated.
    Get the date format symbols for parsing/formatting textual components of dates in a localization sensitive way.
    Returns:
      current symbols.

  - ### setDateFormatSymbols

    public void setDateFormatSymbols(DateFormatSymbols newSymbols)
    Deprecated.
    Apply new date format symbols for parsing/formatting textual components of dates in a localisation sensitive way.
    Parameters:
      `newSymbols` - new format symbols.

  - ### applyPattern

    public void applyPattern(String pattern)
    Deprecated.
    Apply a new pattern.
    Parameters:
      `pattern` - the pattern to set

  - ### clone

    public Object clone()
    Deprecated.
    Overrides:
      `clone` in class `DateFormat`

  - ### format

    public String format(Date source)
    Deprecated.
    Description copied from class: `DateFormat`
    Format a given date.
    Overrides:
      `format` in class `DateFormat`
    Parameters:
      `source` - date to be formatted.
    Returns:
      formatted date.

  - ### parse

    public Date parse(String source) throws ParseException
    Deprecated.
    Description copied from class: `DateFormat`
    NOT IMPLEMENTED - use SimpleDateFormat for parsing instead.
    Overrides:
      `parse` in class `DateFormat`
    Throws:
      `ParseException`